Summary:	Virtual keyboard for X Window System
Summary(pl.UTF-8):	Wirtualna klawiatura dla systemu X Window
Name:		xvkbd
Version:	4.1
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://t-sato.in.coocan.jp/xvkbd/xvkbd-%{version}.tar.gz
# Source0-md5:	64324fe3b4827eb022377c27844dfa8f
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://t-sato.in.coocan.jp/xvkbd/
BuildRequires:	Xaw3d-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/share/X11/app-defaults

%description
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients
(softwares) by clicking on a keyboard displayed on the screen.

%description -l pl.UTF-8
xvkbd to program z wirtualną (graficzną) klawiaturą dla X Window
System ułatwiającą wprowadzanie znaków na wejście innych klientów
(programów) poprzez klikanie na klawiaturze wyświetlonej na ekranie.

%prep
%setup -q

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdefsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -Dp %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install -Dp %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/xvkbd
%{_datadir}/xvkbd
%{_appdefsdir}/XVkbd*
%{_desktopdir}/xvkbd.desktop
%{_pixmapsdir}/xvkbd.png
%{_mandir}/man1/xvkbd.1*
%changelog
* Sun Jul 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xvkbd.git;a=log;h=master

* Sat Jul 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 4e8f6fc
- new URLs, updated to 4.1; switched build from imake to autotools

* Wed Apr 10 2013 Lukasz Glebicki <blekot@pld-linux.org> 47bf42a
- up to 3.4a

* Tue Mar 26 2013 Tomasz Pala <gotar@pld-linux.org> f80986f
- package manpage

* Tue Mar 26 2013 Tomasz Pala <gotar@pld-linux.org> 652f95e
- upgraded to 3.3

* Fri Jul 10 2009 vip <vip@pld-linux.org> a4f8334
- rel up, STBR

* Fri Jul 10 2009 vip <vip@pld-linux.org> 1f4bf06
- missing BR:

* Sun May 25 2008 twittner <twittner@pld-linux.org> 206ff1a
- add BR: xorg-cf-files
- rel. 4

* Sun May 25 2008 twittner <twittner@pld-linux.org> eb17d89
- add BR: xorg-util-imake (for xmkmf)

* Sat May 10 2008 twittner <twittner@pld-linux.org> 6c89f79
- added desktop file and icon (produced from screenshot)
- rel. 2

* Mon May 05 2008 twittner <twittner@pld-linux.org> bf26a07
- up to 3.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 620f516
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a50e88a
- converted to UTF-8

* Sun Oct 15 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> b444f38
- up to 2.8

* Mon Dec 05 2005 Karol Krenski <charles@pld-linux.org> 73e5321
- updated to 2.7a

* Sat Oct 30 2004 paladine <paladine@pld-linux.org> 369364a
- pl fix

* Wed Mar 31 2004 Jakub Bogusz <qboosh@pld-linux.org> fc3d7ec
- use optflags, pass BINDIR - builds again; BR: Xaw3d-devel

* Wed Mar 31 2004 Jakub Bogusz <qboosh@pld-linux.org> b4e1d0c
- pl, standard prefix, cleanups (probably needs path fixes)

* Wed Mar 31 2004 pascalek <pascalek@pld-linux.org> 16de2a2
- Initial release

